MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025454Community[OCCT] OCCT:Codingpublic2014-11-06 20:582016-04-20 15:49
ReporterEpy 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionno change required 
PlatformAll using Clang compilerOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025454: Large number of test suite bads/failures starting with Clang 3.4
DescriptionI reported part of the problem on 25429, but more investigation is needed. Basically, with Clang 3.4 and later, a larger amount of tests are bad or fail outright because of supposed undefined behavior. Without fixes, a lot of OCCT will be unusable with Clang.
Steps To ReproduceNot requared
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025429closedbugmaster Invalid use of NULL references 
related to 0026042closedbugmaster OCCT won't work with the latest Xcode 
related to 0026778closedbugmaster BRepFilletAPI_MakeFillet crash 

-  Notes
(0048233)
abv (manager)
2015-11-16 16:57

I believe this should be fixed by 0026042, could you please run tests on OS X with current master to see actual state?
(0048334)
bugmaster (administrator)
2015-11-18 11:23
edited on: 2015-11-18 11:33

bash-3.2$ clang --version
Apple LLVM version 5.1 (clang-503.0.40) (based on LLVM 3.4svn)
Target: x86_64-apple-darwin13.3.0
Thread model: posix

–°rash a lot of tests is not observed after fix for 0026042

(0048398)
Epy (developer)
2015-11-20 02:19

These Clang failures were not specific to OS X, they were observed using Clang on Ubuntu Linux.
(0048399)
abv (manager)
2015-11-20 07:38

Yes, we just use Mac station where CLang is default to check that the issue has gone, supposing that the same will happen to Linux with CLang (where we use GCC for regular testing).

- Issue History
Date Modified Username Field Change
2014-11-06 20:58 Epy New Issue
2014-11-06 20:58 Epy Assigned To => kgv
2015-10-14 12:03 kgv Relationship added related to 0025429
2015-11-16 16:56 abv Relationship added related to 0026042
2015-11-16 16:57 abv Note Added: 0048233
2015-11-16 16:57 abv Assigned To kgv => bugmaster
2015-11-16 16:57 abv Status new => feedback
2015-11-16 16:57 abv Target Version => 7.0.0
2015-11-18 11:23 bugmaster Note Added: 0048334
2015-11-18 11:23 bugmaster Status feedback => closed
2015-11-18 11:23 bugmaster Resolution open => no change required
2015-11-18 11:31 bugmaster Status closed => assigned
2015-11-18 11:32 bugmaster Assigned To bugmaster => kgv
2015-11-18 11:32 bugmaster Status assigned => resolved
2015-11-18 11:32 bugmaster Steps to Reproduce Updated View Revisions
2015-11-18 11:32 bugmaster Assigned To kgv => bugmaster
2015-11-18 11:32 bugmaster Status resolved => reviewed
2015-11-18 11:33 bugmaster Note Edited: 0048334 View Revisions
2015-11-18 11:33 bugmaster Status reviewed => tested
2015-11-19 14:35 bugmaster Status tested => verified
2015-11-20 02:19 Epy Note Added: 0048398
2015-11-20 07:38 abv Note Added: 0048399
2015-11-25 02:05 abv Relationship added related to 0026778
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker